Bug 2188218 - Link bin/tomcat-juli.jar to /usr/share/java
Summary: Link bin/tomcat-juli.jar to /usr/share/java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tomcat
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: huwang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-04-20 06:32 UTC by Stefan Bluhm
Modified: 2023-06-20 07:12 UTC (History)
6 users (show)

Fixed In Version: tomcat-9.0.76-1.fc39 tomcat-9.0.76-2.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-14 04:45:06 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Stefan Bluhm 2023-04-20 06:32:36 UTC
Description of problem:

Uyuni requires the tomcat-juli.jar artifact. As tomcat-juli.jar is installed into /usr/share/tomcat/bin/tomcat-juli.jar and not (anymore?) into /usr/share/java, none of the standard build tools will find the required classes (i.e. build-classpath,  build-classpath-directory, build-jar-repository ).

Can you please provide a symlink 
ln -s -f %{bindir}/tomcat-juli.jar %{buildroot}%{libdir}/

or via %mvn_alias ?

If this is OK, i am also happy to provide the PR.

Version-Release number of selected component (if applicable):
Tomcat 9.0.65 and 9.0.73


Expected result:
Tomcat for EPEL9 contains tomcat-juli in the resolvable classpath.

Comment 1 Coty Sutherland 2023-04-20 13:12:06 UTC
I took a quick look and the removal of that logic was intentional (as part of some maven cleanup), however it seemingly introduced a bug requiring that we add the jar back to the libdir. Thanks for the report!

The commit that removed it is at https://src.fedoraproject.org/rpms/tomcat/c/972b590988e15d6d82db951aa8b14a2ef06e0cc9?branch=epel9.

Please also note that the tomcat package will be retired from EPEL next month as it is available in RHEL. See https://bugzilla.redhat.com/show_bug.cgi?id=2168636 for more details.

Comment 2 Coty Sutherland 2023-06-08 18:50:39 UTC
I took a quick look at rawhide and seems that this issue affects that branch too. Since tomcat was retired from EPEL, I've moved this issue over to rawhide to be fixed there.

Comment 4 Fedora Admin user for bugzilla script actions 2023-06-09 00:06:27 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 5 Fedora Update System 2023-06-14 04:43:50 UTC
FEDORA-2023-fc4b6ec3e0 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-fc4b6ec3e0

Comment 6 Fedora Update System 2023-06-14 04:45:06 UTC
FEDORA-2023-fc4b6ec3e0 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Stefan Bluhm 2023-06-14 05:15:24 UTC
Thank you. How would the fix get into the RHEL9 repo? Would we need a new ticket?

Comment 8 Fedora Update System 2023-06-20 07:11:38 UTC
FEDORA-2023-7e20da184c has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-7e20da184c

Comment 9 Fedora Update System 2023-06-20 07:12:04 UTC
FEDORA-2023-7e20da184c has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.